import { HttpClient } from '@angular/common/http';
import { BaseApiTemplateService } from '../../../shared/base-api-template-service.model';
import { JobHeaderContainerModel } from '../../../../../../../models/aggregates/erp/delivery/job';
import { ApiVisa } from '../../../shared';
import { Observable } from 'rxjs';
import { Pagination, PagingResponseModel, BasicApiResponseModel } from './../../../shared';
import { ApiResponseModel } from '../../../shared/api-response.model';
export declare class JobHdrService extends BaseApiTemplateService<JobHeaderContainerModel> {
    readonly url: string;
    constructor(http: HttpClient);
    getByGuidLoginEP(guid: string, visa: ApiVisa): Observable<BasicApiResponseModel<any>>;
    getByCriteria(pagination: Pagination, visa: ApiVisa, criteria?: any): Observable<PagingResponseModel<any>>;
    getByCriteriaLoginEP(pagination: Pagination, visa: ApiVisa, criteria?: any): Observable<PagingResponseModel<any>>;
    addFiles(formData: FormData, hdrGuid: string, visa: ApiVisa): Observable<Object>;
    replaceFile(formData: FormData, extGuid: string, visa: ApiVisa): Observable<Object>;
    deleteFile(extGuid: string, visa: ApiVisa): Observable<Object>;
    getFile(extGuid: string, visa: ApiVisa): Observable<Blob>;
    getFileLoginEP(extGuid: string, visa: ApiVisa): Observable<Blob>;
    printMultiJasperJobShipment(formatGuid: string, visa: ApiVisa, body: any): Observable<Object>;
    printMultiJasperGenDocJob(formatGuid: string, visa: ApiVisa, body: any): Observable<Object>;
    updateJobSequence(payload: any, visa: ApiVisa): Observable<Object>;
    getJobHdrsByTripGuidsPost(dtoObject: any, visa: ApiVisa): Observable<ApiResponseModel<any>>;
    printMultiJasperJobShipmentCustom(formatGuid: string, visa: ApiVisa, body: any): Observable<Object>;
}
